---
layout: handbook-page-toc
title: Solutions Architects Handbook
description: "Solutions Architects (SA) are the trusted advisors to GitLab prospects and customers during the presales motion, demonstrating how the GitLab application and GitLab Professional Services address common and unique business requirements"
---
## On this page
{:.no_toc .hidden-md .hidden-lg}

- TOC
{:toc .hidden-md .hidden-lg}

<%= partial("handbook/customer-success/solutions-architects/includes/navigation") %>

## Solutions Architecture Mission

To drive our customers' success through technical and business consultation. 

While using technical and domain-specific expertise, Solutions Architects strive to become [trusted advisors](/handbook/customer-success/solutions-architects/#trusted-advisors) to our prospects, customers, and partners. Solutions Architects have the following primary objectives:

- Gain a deep technical understanding of our customers biggest challenges, the impacts they have on their business, and collaborate as a strategic partner when determining the most effective solutions


- Deliver impactful value propositions for prospects before they become GitLab customers


- Drive successful adoption of the GitLab platform by our customers 


- Grow the business partner ecosystem by developing partner capabilities and building joint solutions


## Role & Responsibilities

### Solutions Architects (Field)
Field [Solutions Architects](https://handbook.gitlab.com/job-families/sales/solutions-architect/) (SA) are the trusted advisors to GitLab prospects and customers during the presales motion. We demonstrate how the GitLab platform and GitLab Professional Services address common and unique business requirements. SA's add value to GitLab's customers by providing subject matter expertise and industry experience throughout the sales process and collaborate internally with product.

In addition, SA's identify and propose comprehensive solutions to complex business problems and workflow scenarios after compiling inputs from customer requests during conversations. Desired inputs include pain points, role-based visibility concerns, opportunities for improved efficiencies, current technologies and tools (3rd party to GitLab) and therefore opportunities to improve integrations, corporate initiatives, target outcomes and more. SA's also act as the technical liaison between the sales team and other groups within GitLab, engaging GitLab employees from other teams as needed in order meet the needs of the customer.

Our Field SA's also engage proactively with existing GitLab customer to provide thought-leadership, engage in innovative solutions, collaborate around evangalism activities around unique customer requirements (i.e. meetups and presentations) and continously seek market feedback to improve the GitLab platform.

### Strategic Field Organization
The [Strategic Field Organization](/handbook/customer-success/solutions-architects/strategic-field-org/) is a team of [Principal Solutions Architects](https://handbook.gitlab.com/job-families/sales/solutions-architect/#principal-solutions-architect-responsibilities) that support global strategic sales opportunities and customers. This team collaborates with the regional account teams to work together on large engagements that require a higher degree of strategic planning, consulting, executive-level technical leadership, and internal GitLab cross-departmental collaboration.

### Alliance & Channel Solutions Architects
[Alliance and Channel Solutions Architects](https://handbook.gitlab.com/job-families/sales/solutions-architect/#specialties) are the trusted advisors to our channel resellers, professional services partners, and strategic alliances partners. The focus of this team is to develop relationships and provide technical assistance and leadership to drive joint GTM strategies. This team helps grow and strengthen the partner ecosystem by building new capabilities and growing GitLab revenue together with partners.


In addition to core responsibilities, Solutions Architects may assist in other client-facing activities aligned to Content Marketing or Strategic Marketing such as blogs, videos, webinars, presentations and industry trade show presence. Some examples are listed below:

- GitLab Security Overview [Video](https://www.youtube.com/watch?v=SP0VSH-NqJs)
- GitLab High Availability and Geo Overview [Video](https://www.youtube.com/watch?v=fji7nvmOHNQ)
- GitLab GitHub Migration [Video](https://www.youtube.com/watch?v=VYOXuOg9tQI)
- GitLab Source Code Management [Video](https://www.youtube.com/watch?v=P6jD966jzlk)
- GitLab Blog [Contribution](/blog/2018/02/20/whats-wrong-with-devops/)
- GitLab with Rancher and EKS [Video](https://www.youtube.com/watch?v=kUwHBIFXciY)

See the [Solutions Architect role description](https://handbook.gitlab.com/job-families/sales/solutions-architect/) for additional details.

### SA Managers 

- [SA Manager Process](/handbook/customer-success/solutions-architects/sa-manager/)

The Field and Alliance/Channels SA Management (referred as SA management going forward) around the globe collaborates around unique requirements, identifies improvements in the go-to-market approaches and focussed on prioritises on strategies to address the market's requirements. The SA management is aligned in the interest of technical matters to address exisiting needs raised by customers and priotise on innovative requirements. The SA management will collaborate with product teams to achieve required outcomes.  

## Trusted Advisors

Being a Trusted Advisor is referencing a role/skill that a person takes on when working with customers to solve their business problem.

> **Building Trust (Trusted Advisor)**:  
> Connects with key stakeholders on both a personal and professional level and shows up as a credible and reliable champion for customers. Effectively positions GitLab as a partner to the customer rather than just another vendor with a focus on following through on commitments and delivering results.
>
> --<cite> [Solution Focus Field Competency](https://about.gitlab.com/handbook/sales/training/field-functional-competencies/#solution-focus)

For more information and development see the "Trusted Advisor Skill Development", [Community of Practice](https://about.gitlab.com/handbook/customer-success/initiatives/communities-of-practice.html#active-communities-of-practice)


## Changing the Solutions Architects Handbook Content

This is the Solution Architect handbook. If you see any typos, copywriting improvements or content clarifications you'd like to contribute, please create a merge request and ask your managers to merge. Please add the label "SA-HANDBOOK" to your merge request, and post a link to the [solutions-architects](https://gitlab.slack.com/archives/C01788YAY58) slack channel, mentioning @sa_leaders, as a heads up and so we can thank you! Since we have a [bias for action](/handbook/values/#bias-for-action), we trust your judgement.
